DtWsmAddWorkspaceFunctions(library call)

NAME
DtWsmAddWorkspaceFunctions — add workspace functions for a window

SYNOPSIS

#include &<Dt/Wsm.h>
void DtWsmAddWorkspaceFunctions(
Display *display,
Window window);

DESCRIPTION

The DtWsmAddWorkspaceFunctions function enables workspace functions for a window. When workspace functions are enabled, the default window menu for the window displayed by the XCDE workspace manager, dtwm(1), shows entries that allow the window to occupy a different set of workspaces, occupy all workspaces, or be removed from the current workspace.

The display argument is the X display.

The window argument is the window to have its workspace functions enabled.

RETURN VALUE

The DtWsmAddWorkspaceFunctions function returns no value.

APPLICATION USAGE

The application must call the DtWsmAddWorkspaceFunctions function before mapping the window. The XCDE workspace manager, dtwm(1), only looks at the workspace function information at the time the workspace manager manages the window. If the XCDE workspace manager, dtwm(1), is currently managing the window, the application must withdraw the window (see XWithdrawWindow(3)), add the workspace functions, and map the window once again.

By default, the workspace manager enables workspace functions.

The application should call DtWsmAddWorkspaceFunctions to restore the workspace functions removed by the DtWsmRemoveWorkspaceFunctions(3) function.

SEE ALSO

Dt/Wsm.h - DtWsm(5), XWithdrawWindow(3), dtwm(1), DtWsmRemoveWorkspaceFunctions(3).